# Uses of Interface
ch.qos.logback.core.spi.PropertyContainer

Packages that use PropertyContainer
Package
Description
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.joran.conditional
ch.qos.logback.core.joran.spi
ch.qos.logback.core.subst
ch.qos.logback.core.util
Contains various utility classes.

## Uses of PropertyContainer in ch.qos.logback.access.jetty

Classes in ch.qos.logback.access.jetty that implement PropertyContainer
Modifier and Type
Class
Description
`class`
`RequestLogImpl`
This class is logback's implementation of jetty's RequestLog interface.

## Uses of PropertyContainer in ch.qos.logback.access.spi

Classes in ch.qos.logback.access.spi that implement PropertyContainer
Modifier and Type
Class
Description
`class`
`AccessContext`
A minimal context implementation used by certain logback-access components, mainly SocketServer.

## Uses of PropertyContainer in ch.qos.logback.access.tomcat

Classes in ch.qos.logback.access.tomcat that implement PropertyContainer
Modifier and Type
Class
Description
`class`
`LogbackValve`
This class is an implementation of tomcat's Valve interface, by extending ValveBase.

## Uses of PropertyContainer in ch.qos.logback.classic

Classes in ch.qos.logback.classic that implement PropertyContainer
Modifier and Type
Class
Description
`class`
`LoggerContext`
LoggerContext glues many of the logback-classic components together.

## Uses of PropertyContainer in ch.qos.logback.core

Subinterfaces of PropertyContainer in ch.qos.logback.core
Modifier and Type
Interface
Description
`interface`
`Context`
A context is the main anchorage point of all logback components.
Classes in ch.qos.logback.core that implement PropertyContainer
Modifier and Type
Class
Description
`class`
`ContextBase`

## Uses of PropertyContainer in ch.qos.logback.core.joran.conditional

Methods in ch.qos.logback.core.joran.conditional with parameters of type PropertyContainer
Modifier and Type
Method
Description
`void`
PropertyWrapperForScripts.`setPropertyContainers(PropertyContainer local, PropertyContainer context)`

## Uses of PropertyContainer in ch.qos.logback.core.joran.spi

Classes in ch.qos.logback.core.joran.spi that implement PropertyContainer
Modifier and Type
Class
Description
`class`
`InterpretationContext`
An InterpretationContext contains the contextual state of a Joran parsing session.

## Uses of PropertyContainer in ch.qos.logback.core.subst

Methods in ch.qos.logback.core.subst with parameters of type PropertyContainer
Modifier and Type
Method
Description
`static String`
NodeToStringTransformer.`substituteVariable(String input, PropertyContainer pc0, PropertyContainer pc1)`
Constructors in ch.qos.logback.core.subst with parameters of type PropertyContainer
Modifier
Constructor
Description
``
`NodeToStringTransformer(Node node, PropertyContainer propertyContainer0)`
``
`NodeToStringTransformer(Node node, PropertyContainer propertyContainer0, PropertyContainer propertyContainer1)`

## Uses of PropertyContainer in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util with parameters of type PropertyContainer
Modifier and Type
Method
Description
`static String`
OptionHelper.`propertyLookup(String key, PropertyContainer pc1, PropertyContainer pc2)`
`static String`
OptionHelper.`substVars(String val, PropertyContainer pc1)`
`static String`
OptionHelper.`substVars(String input, PropertyContainer pc0, PropertyContainer pc1)`
See http://logback.qos.ch/manual/configuration.html#variableSubstitution